Bug 439920 - entropy generation in bnx2 driver not consistent with other network drivers on RHEL4
entropy generation in bnx2 driver not consistent with other network drivers o...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
All Linux
low Severity low
: rc
: ---
Assigned To: Ivan Vecera
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 19:38 EDT by Greg Marsden
Modified: 2009-05-18 15:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:36:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bnx2 irqf_sample_random patch (1.45 KB, patch)
2008-03-31 19:38 EDT, Greg Marsden
no flags Details | Diff
Final patch sent to review (1.25 KB, patch)
2009-01-12 04:41 EST, Ivan Vecera
no flags Details | Diff

  None (edit)
Description Greg Marsden 2008-03-31 19:38:51 EDT
Description of problem:

Applications requesting random data from /dev/random either hang, or print
out the following information message:

  Not enough random bytes available.  Please do some other work to give
  the OS a chance to collect more entropy!

Analysis:

In OEL4 and RHEL4, the e1000 module was contributing entropy to the system
by passing the IRQF_SAMPLE_RANDOM during request_irq() calls.
Comment 1 Greg Marsden 2008-03-31 19:38:51 EDT
Created attachment 299791 [details]
bnx2 irqf_sample_random patch
Comment 2 Ivan Vecera 2008-06-03 13:18:09 EDT
This functionality (in e1000) was removed in version 2.6.9-42.28. There was an
upstream update of e1000 that removes SA_SAMPLE_RANDOM flag from request_irq.
Upstream bnx2 driver also does not include this functionality.

To include it in RHEL kernel the incorporation into upstream is required. But I
doubt about success because this is little bit problematic (see discussion
http://lkml.org/lkml/2006/5/5/107).
Comment 3 Ivan Vecera 2009-01-12 04:41:44 EST
Created attachment 328714 [details]
Final patch sent to review

Because the patch solving the same issue (bug #439898) for RHEL 5 seems to be acceptable for our engineers I prepared the similar patch also for RHEL 4. Now I'm going to post this patch for a review.
Comment 4 RHEL Product and Program Management 2009-01-12 05:09:03 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Vivek Goyal 2009-01-19 14:58:10 EST
Committed in 79.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 9 errata-xmlrpc 2009-05-18 15:36:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.